<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_POST['accion']) $accion=$_POST['accion']; else $accion=$_GET['accion'];

if($_POST['id']) $id=$_POST['id']; else $id=$_GET['id'];
if($_POST['formato']) $formato=$_POST['formato']; else $formato=$_GET['formato'];
if($_POST['cantidad']) $cantidad=$_POST['cantidad']; else $cantidad=$_GET['cantidad'];



switch($accion) {

	case 'listado':
	
		if(is_array($_SESSION['lecturas']) && count($_SESSION['lecturas'])>0) {
			

			
			//16-01-2020 Comprobación previa de las longitudes para localizar posibles errores de lectura
			$longitudLecturas=array();
			foreach($_SESSION['lecturas'] as $lectura) {
				$longitudLecturas[]=strlen($lectura['CodigoEscaneado']);
			}
			$cantidadMaxima=0;
			$longitudCorrecta=0;
			foreach( array_count_values($longitudLecturas) as $clave=>$valor ) if($valor>$cantidadMaxima) { 
				$cantidadMaxima=$valor;
				$longitudCorrecta=$clave;
			}
			//echo '<p>La longitud debe ser: '.$longitudCorrecta.'</p>';
			

			
			
			$total=0;
			
			?>
            <p>Resumen de lecturas actuales para enviar a Proxium:</p>
            
			<table class="tablaFormateada">
			<tr>
            	<th></th>
				<th>Id</th>
				<th>Formato</th>
				<th>Cantidad</th>
			</tr>
			<?php foreach($_SESSION['lecturas'] as $lectura) { ?>
			<tr class="lineaLectura <?php if( (is_array($_SESSION['errores']) && in_array($lectura['CodigoEscaneado'],$_SESSION['errores'])) || strlen($lectura['CodigoEscaneado'])!=$longitudCorrecta ) { ?>rojo<?php } ?>">
            	<td><img src="<?php echo DIR_IMAGENES; ?>/x.png" width="50" height="50" class="cancelarLectura clicable" lectura="<?php echo $lectura['CodigoEscaneado']; ?>" lecturaCodificada="<?php echo base64_encode($lectura['CodigoEscaneado']); ?>"/></td>
				<td align="left"><?php echo formateaTTT($lectura['CodigoEscaneado']); ?></td>
				<td>
                <?php
					$arrayTemp=unserialize(FORMATOS_TRAZABILIDAD);
					echo $arrayTemp[$lectura['Formato']];
				?>
				</td>
				<td align="right"><?php if( strlen($lectura['CodigoEscaneado'])!=$longitudCorrecta ) { ?><img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" alt="Posible error" style="width:40px;height:40px;float:right;margin-right:-60px;margin-bottom:-10px;margin-top:-12px;"/><?php } ?><?php echo $lectura['Cantidad']; ?></td>
			</tr>
            <?php $total+=(int)$lectura['Cantidad']; ?>
			<?php } ?>
            <tr>
				<td colspan="3" align="right">Total lecturas actuales:</td>
				<td align="right"><strong><?php echo $total; ?></strong></td>
			</tr>
			</table>
			<?php
			
		}
		break;
	
	case 'contar':
	
		if(is_array($_SESSION['lecturas'])) echo count($_SESSION['lecturas']);
		break;
		
	case 'cantidad':
		
		$cantidadOriginal=(int)$_SESSION['producto']['Cantidad']-(int)$_SESSION['producto']['Leido'];
		
		$cantidad=0;
		foreach($_SESSION['lecturas'] as $lectura) $cantidad+=(int)$lectura['Cantidad'];
		
		echo $cantidadOriginal-$cantidad;
		break;
		
	case 'leidos':
	
		$leidos='';
		foreach($_SESSION['lecturas'] as $lectura) $leidos.=$lectura['CodigoEscaneado'].',';
		echo $leidos;
		break;
		
	case 'comprobar':
		
		$encontrada=false;
		foreach($_SESSION['lecturas'] as $lectura) if($lectura['CodigoEscaneado']==$id) $encontrada=true;
		
		$idsLeidosAnteriormente=arreglaArrayPXMobileProxiumResult($_SESSION['producto']['ProductoIDs']);
		foreach($idsLeidosAnteriormente as $lectura) if($lectura['CodigoEscaneado']==$id) $encontrada=true;
		
		if($encontrada) echo 0;
		else echo 1;
		
		break;
	
	case 'leer':
		
		$_SESSION['lecturas'][]=array('CodigoEscaneado'=>$id,'Formato'=>$formato,'Cantidad'=>$cantidad);
		break;
		
	case 'cancelar':
		
		$temporal=array();
		foreach($_SESSION['lecturas'] as $lectura) if($lectura['CodigoEscaneado']!=$id) $temporal[]=$lectura;
		$_SESSION['lecturas']=$temporal;
		break;

}

?>